/******************************************************************************
   IO.c

******************************************************************************/

// Include Files
#include <MC9S12E128.h>  // Derivative information
#include "IO.h"


/******************************************************************************
  Adapt9S12E128 LED Initialization */
void InitLED(void) // Initialize IO for the LED
{
  DDRP_DDRP0 = 1;  // Port P bit 0 is an output
  PTP_PTP0 = 0;    // LED is off
}


/*****************************************************************************/
void InitIO(void)
{
  DDRP_DDRP1 = 1;  // Port P bit 1 is an output (H1-P20)
  DDRP_DDRP2 = 1;  // Port P bit 2 is an output (H1-P19)
  
  PORTE_BIT5 = 0;  // Enable RS485 receiver
  DDRE_BIT5  = 1;  // Port E bit 5 is an output (RS485 RE)
  
  PORTE_BIT6 = 0;  // Disable RS485 driver
  DDRE_BIT6  = 1;  // Port E bit 6 is an output (RS485 DE)
}
