/******************************************************************************
   PMF.h

******************************************************************************/

#ifndef PMF_H
#define PMF_H


// Defines

/* A common crystal frequency for this microcontroller is 8MHz. When multiplied
   by 3 by the PLL, it gives a bus frequency of 24MHz. For the Modulus
   calculation, this frequency does not divide evenly and when truncated, the
   fraction is lost. A better crystal to use would be 8.16MHz but is non-
   standard. This would produce a bus frequency of 24.48MHz. When divided by
   (60*1020) it produces an even number of 400. A Modulus of 400 when using
   this crystal would result in an exact 60 Hz sine wave. */
   
#define Modulus 392  // F(bus)/60Hz/1020Angles and truncated


// Function Prototypes
void InitPMF(void);
void IncAmplitude(void);
void DecAmplitude(void);
void DisplayAmplitude(void);


#endif